aboutsummaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorJoel Challis <git@zvecr.com>2019-11-28 15:29:11 +0000
committerGitHub <noreply@github.com>2019-11-28 15:29:11 +0000
commit235da6973d34c3cffc4bd8f8cd0b9c8537d6b811 (patch)
tree5cd17a023dcfe810eff3492609cfcd95180b2e1f /util
parent5c41fa606202f4750a20083bc2b7ad04d8ff8ae2 (diff)
downloadfirmware-235da6973d34c3cffc4bd8f8cd0b9c8537d6b811.tar.gz
firmware-235da6973d34c3cffc4bd8f8cd0b9c8537d6b811.tar.bz2
firmware-235da6973d34c3cffc4bd8f8cd0b9c8537d6b811.zip
Install bootloadHid as part of qmk_install (#7463)
* Install bootloadHid on macos * Install bootloadHid on windows * Highlight bootloadHID is now installed in docs * Update udev rules for bootloadHID * Install bootloadHid on some distros * fix caterina udev filename
Diffstat (limited to 'util')
-rwxr-xr-xutil/activate_msys2.sh1
-rwxr-xr-xutil/activate_wsl.sh1
-rwxr-xr-xutil/linux_install.sh18
-rwxr-xr-xutil/macos_install.sh2
-rwxr-xr-xutil/win_shared_install.sh4
5 files changed, 26 insertions, 0 deletions
diff --git a/util/activate_msys2.sh b/util/activate_msys2.sh
index 1ddffbaad..85d645e6d 100755
--- a/util/activate_msys2.sh
+++ b/util/activate_msys2.sh
@@ -5,6 +5,7 @@ function export_variables {
export PATH=$PATH:$util_dir
export PATH=$PATH:$util_dir/dfu-programmer
export PATH=$PATH:$util_dir/dfu-util-0.9-win64
+ export PATH=$PATH:$util_dir/bootloadHID.2012-12-08/commandline
export PATH=$PATH:$util_dir/flip/bin
export PATH=$PATH:$util_dir/avr8-gnu-toolchain/bin
export PATH=$PATH:$util_dir/gcc-arm-none-eabi/bin
diff --git a/util/activate_wsl.sh b/util/activate_wsl.sh
index e2312b56d..cd88d2b65 100755
--- a/util/activate_wsl.sh
+++ b/util/activate_wsl.sh
@@ -7,6 +7,7 @@ function export_variables {
export DFU_PROGRAMMER=$download_dir/dfu-programmer/dfu-programmer.exe
export DFU_UTIL=$download_dir/dfu-util-0.9-win64/dfu-util.exe
export TEENSY_LOADER_CLI=$download_dir/teensy_loader_cli.exe
+ export BOOTLOADHID_PROGRAMMER=$download_dir/bootloadHID.2012-12-08/commandline/bootloadHID.exe
export BATCHISP=batchisp.exe
}
diff --git a/util/linux_install.sh b/util/linux_install.sh
index c54a80623..100a14a51 100755
--- a/util/linux_install.sh
+++ b/util/linux_install.sh
@@ -10,6 +10,17 @@ SOLUS_INFO="Your tools are now installed. To start using them, open new terminal
util_dir=$(dirname "$0")
+# For those distros that do not package bootloadHID
+install_bootloadhid() {
+ wget https://www.obdev.at/downloads/vusb/bootloadHID.2012-12-08.tar.gz -O - | tar -xz -C /tmp
+ cd /tmp/bootloadHID.2012-12-08/commandline/
+ make
+ if [ $? == 0 ]; then
+ sudo cp bootloadHID /usr/local/bin
+ fi
+ cd -
+}
+
if grep ID /etc/os-release | grep -qE "fedora"; then
sudo dnf install \
arm-none-eabi-binutils-cs \
@@ -28,6 +39,7 @@ if grep ID /etc/os-release | grep -qE "fedora"; then
glibc-headers \
kernel-devel \
kernel-headers \
+ libusb-devel \
make \
perl \
python3 \
@@ -54,6 +66,7 @@ elif grep ID /etc/os-release | grep -qE 'debian|ubuntu'; then
gcc-avr \
git \
libnewlib-arm-none-eabi \
+ libusb-dev \
python3 \
unzip \
wget \
@@ -70,12 +83,14 @@ elif grep ID /etc/os-release | grep -q 'arch\|manjaro'; then
avr-libc \
avr-gcc \
base-devel \
+ bootloadhid \
clang \
dfu-programmer \
dfu-util \
diffutils \
gcc \
git \
+ libusb-compat \
python \
python-pip \
unzip \
@@ -138,6 +153,7 @@ elif grep ID /etc/os-release | grep -qE "opensuse|tumbleweed"; then
dfu-tool \
dfu-programmer \
gcc \
+ libusb-devel \
python3 \
unzip \
wget \
@@ -177,6 +193,7 @@ elif grep ID /etc/os-release | grep -q solus; then
avrdude \
dfu-util \
dfu-programmer \
+ libusb-devel \
python3 \
git \
wget \
@@ -214,4 +231,5 @@ else
fi
# Global install tasks
+install_bootloadhid
pip3 install --user -r ${util_dir}/../requirements.txt
diff --git a/util/macos_install.sh b/util/macos_install.sh
index f993003f0..76ec3355b 100755
--- a/util/macos_install.sh
+++ b/util/macos_install.sh
@@ -25,5 +25,7 @@ brew tap osx-cross/avr
brew tap osx-cross/arm
brew update
brew install avr-gcc@8 arm-gcc-bin dfu-programmer avrdude clang-format dfu-util python3
+brew install --HEAD https://raw.githubusercontent.com/robertgzr/homebrew-tap/master/bootloadhid.rb
brew link --force avr-gcc@8
+
pip3 install -r "${util_dir}/../requirements.txt"
diff --git a/util/win_shared_install.sh b/util/win_shared_install.sh
index f8fc9308f..7ad000bfc 100755
--- a/util/win_shared_install.sh
+++ b/util/win_shared_install.sh
@@ -18,6 +18,10 @@ function install_utils {
wget 'https://www.pjrc.com/teensy/teensy_loader_cli_windows.zip'
unzip teensy_loader_cli_windows.zip
+ echo "Installing bootloadHID"
+ wget 'https://www.obdev.at/downloads/vusb/bootloadHID.2012-12-08.zip'
+ unzip bootloadHID.2012-12-08.zip
+
echo "Installing Atmel Flip"
wget 'http://ww1.microchip.com/downloads/en/DeviceDoc/Flip%20Installer%20-%203.4.7.112.exe'
mv Flip\ Installer\ \-\ 3.4.7.112.exe FlipInstaller.exe